# eth\_getBlockTransactionCountByHash

Returns the number of transactions in a block from a block matching the given block hash.

This method will use `40` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_getblocktransactioncountbyhash)

## **Parameters**

`DATA`, 32 Bytes - hash of a block

```bash
params: ["0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"]
```

## **Returns**

`QUANTITY` - integer of the number of transactions in this block.

```bash
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xa" // 10
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.somnia.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0xdf15d721c064ad201f44fa868d19462b264b3ca7ad111b5dafe696c344af15b8"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.somnia.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0xdf15d721c064ad201f44fa868d19462b264b3ca7ad111b5dafe696c344af15b8"],"id":1}'

```

{% endtab %}
{% endtabs %}
